lv.eparaksts.edoc

## Class SignatureProductionPlace

- java.lang.Object
- - lv.eparaksts.edoc.SignatureProductionPlace

-     public class SignatureProductionPlace
      extends Object

  Claimed signature production place describes physical location where the signature was created.
  See Also:
    `EDoc2Signature`, `EDoc2Signature.getSignatureProductionPlace()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `city`
    `String` | `countryName`
    `String` | `postalCode`
    `String` | `stateOrProvince`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureProductionPlace()`
    `SignatureProductionPlace(String city)`
    `SignatureProductionPlace(String city, String stateOrProvince, String postalCode, String countryName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### city

          public String city

    - #### stateOrProvince

          public String stateOrProvince

    - #### postalCode

          public String postalCode

    - #### countryName

          public String countryName

  - ### Constructor Detail

    - #### SignatureProductionPlace

          public SignatureProductionPlace()

    - #### SignatureProductionPlace

          public SignatureProductionPlace(String city)

      Parameters:
        `city` -

    - #### SignatureProductionPlace

          public SignatureProductionPlace(String city,
                                          String stateOrProvince,
                                          String postalCode,
                                          String countryName)

      Parameters:
        `city` -
        `stateOrProvince` -
        `postalCode` -
        `countryName` -

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO